#include "settings.hpp"

#include "utils/file.hpp"

namespace monitarr {
void app_config::load(std::string_view file_path) {
  nlohmann::json data;
  if (utils::file::read_json_file(file_path, data)) {
    *this = data.get<app_config>();
  }
}

void app_config::save(std::string_view file_path) const {
  if (utils::file::write_json_file(file_path, nlohmann::json(*this))) {
    return;
  }
}
} // namespace monitarr
